% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/utility_functions.R
\name{is.Date}
\alias{is.Date}
\title{Test if object is a Date object}
\usage{
is.Date(obj)
}
\arguments{
\item{obj}{object to test on}
}
\description{
Test if object is a Date object
}
\examples{
## the base "capital Date" format
da <- as.Date("2000-01-01")
is.Date(da) ## TRUE
date::is.date(da) ## FALSE

## IDate format from data.table
da <- as.IDate("2000-01-01")
is.Date(da) ## TRUE
date::is.date(da) ## FALSE

## from package "date"
da <- date::as.date("1jan2000")
is.Date(da) ## FALSE
date::is.date(da) ## TRUE
}
\author{
Joonas Miettinen
}
\seealso{
\code{\link{get.yrs}}, \code{\link{is_leap_year}}, \code{\link{as.Date}}
}

